package client

import (
	"fmt"
	"net/http"
	"net/url"

	crcrwf "git.loafle.net/commons_go/rpc/client/rwc/websocket/fasthttp"
	"git.loafle.net/commons_go/websocket_fasthttp/websocket"
)

type ClientReadWriteCloseHandlers struct {
	crcrwf.ClientReadWriteCloseHandlers

	Scheme string
	Host   string
	Path   string
}

func (crwch *ClientReadWriteCloseHandlers) Connect() (interface{}, error) {
	u := url.URL{
		Scheme: crwch.Scheme,
		Host:   crwch.Host,
		Path:   crwch.Path,
	}
	var reqHeader http.Header
	reqHeader.Add("", "")

	conn, res, err := websocket.DefaultDialer.Dial(u.String(), reqHeader)

	return nil, fmt.Errorf("RPC Client RWC Handler: ClientHandlers method[Connect] is not implement")
}

func (crwch *ClientReadWriteCloseHandlers) Validate() {

}
